2002-02-10  Gediminas Paulauskas <menesis@delfi.lt>

	* desk-guide/Makefile.am, tasklist/Makefile.am: use intltool
	tu build desktop files.
	* desk-guide/deskguide_applet.desktop.in,
	tasklist/tasklist_applet.desktop.in: added skeleton files.
	* desk-guide/deskguide_applet.desktop,
	tasklist/tasklist_applet.desktop: removed, now generated.

2002-01-31  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: kill EXTRA_SUBDIRS.

	* applet-dirs/Amusements.directory:
	* applet-dirs/Clocks.directory:
	* applet-dirs/Makefile.am:
	* applet-dirs/Monitors.directory:
	* applet-dirs/Multimedia.directory:
	* applet-dirs/Network.directory:
	* applet-dirs/Utility.directory: kill. Not needed anymore.

2002-01-16  Glynn Foster  <glynn.foster@sun.com>

	* Makefile.am: Remove deskguide from building
	* desk-guide/Makefile.am: Uncomment out stuff that
	was originally commented out.

2001-12-17  Mark McLoughlin  <mark@skynet.ie>

        * ChangeLog: trim some gen_util entries.

2001-11-26  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: add desk-guide to SUBDIRS.

2001-11-23  Alexander Larsson  <alla@lysator.liu.se>

        * Makefile.am:
	Build gen_util

2001-08-14  Kjartan Maraas  <kmaraas@gnome.org>

	* */*.sgml: Fix up the sgml a bit.
	
2001-08-03  Abel Cheung  <maddog@linux.org.hk>

	* */*.{soundlist,desktop,directory} : Reviewed/Modified/Added
	  traditional Chinese strings.

2001-08-02  Kjartan Maraas  <kmaraas@gnome.org>

	* */*.[desktop,soundlist]: Added nynorsk.
	
2001-07-17  jacob berkman  <jacob@ximian.com>

	* gen_util/popcheck.c (imap_check): make this actually compile and
	have some sane indenting and stuff.

	it amazes me that this code got in and stuff.

Wed Jul 11 14:23:39 2001  George Lebl <jirka@5z.com>

	* gen_util/popcheck.c: apply and massage patch from Jon Bowman
	  <jon.bowman@sun.com>toaccept multiline output from the IMAP server

2001-07-05  Kjartan Maraas  <kmaraas@gnome.org>

	* gen_util/main.c: Include <config.h> at the top.
	* gen_util/mailcheck.c: Fix _() marking of about box.
	* mailcheck.soundlist: Norwegian translation.
		
2001-06-25  Kjartan Maraas  <kmaraas@gnome.org>

	* gen_util/mailcheck.c: Fix typo in the about box.
	
2001-06-23 Manuel de Vega Barreiro <mbarreiro@red.madritel.es>
	
	* applets/gen_util/help/Makefile.am: Included es for mailcheck
	  Spanish Translation.
	* applets/gen_util/help/es/mailcheck: Spanish Translation

2001-06-20  Kjartan Maraas  <kmaraas@gnome.org>

	* applets/gen_util/clock.c: Remove trailing comma in enum.
	From Dan McNichol <mcnichol@austin.ibm.com>
	
2001-06-07  Christian Rose  <menthos@menthos.com>

	* applets/gen_util/mailcheck.soundlist: Added Swedish
	translation.

2001-06-05  Christian Rose  <menthos@menthos.com>

	* applet-dirs/Clocks.directory, applet-dirs/Monitors.directory,
	applet-dirs/Multimedia.directory, applet-dirs/Network.directory,
	applet-dirs/Utility.directory, gen_util/mailcheck_applet.desktop,
	gen_util/printer.desktop, tasklist/tasklist_applet.desktop:
	Modified Swedish translation.

2001-05-30  Havoc Pennington  <hp@redhat.com>

	* gen_util/clock.c (make_clock_applet): remove "to selection" from
	"Copy time to selection" and "Copy date to selection". Make them
	copy to clipboard. Delete "Copy timestamp to selection" item.

	When porting to GTK 2, we should maybe make the label selectable, 
	and then have a simple Copy menu item. Then you can copy whatever
	part you want, and also paste with middle mouse.

	(make_clock_applet): reword the "someone should be shot" warning,
	it occasionally appears and disturbs users

	(create_computer_clock_widget): change shadow type to NONE
	
2001-05-27  Stanislav Brabec  <utx@penguin.cz>

	* applet-dirs/Network.directory: Changed incorrrect English
	Comment "Network menu" to "Network applets".

Wed Apr 25 21:17:51 2001  George Lebl <jirka@5z.com>

	* gen_util/popcheck.[ch], gen_util/remote-helper.[ch],
	  gen_util/mailcheck.c:  apply patch from Rob Funk
	  (rfunk@funknet.net) to add support for multiple IMAP mailboxes

2001-04-02  Fatih Demir <kabalak@gtranslator.org>

	* gen_util/mailcheck.soundlist: Small update of the Turkish
		entry.

Tue Mar 06 16:07:41 2001  George Lebl <jirka@5z.com>

	* gen_util/popcheck.[ch], gen_util/mailcheck.[ch],
	  gen_util/remote-helper.[ch]:  Instead of doing network stuff
	  in the main proccess which could (and would) frequently hang
	  the panel (which is mucho bad), fork off a process and do things
	  there, Fixes a couple of bugs on bugzilla which I'm too lazy to
	  look for now.

Wed Feb 28 09:04:02 2001  Manuel de Vega Barreiro <barreiro@arrakis.es>
	
	* applets/gen_util/help/Makefile.am: Included es for printer
	  Spanish Translation.
	* applets/gen_util/help/es/printer: Spanish Translation

Sat Feb 24 22:26:14 2001  George Lebl <jirka@5z.com>

	* gen_util/mailcheck.c:  prevent the possibility of an uninitialized
	  pointer being sent from the password dialog and use
	  gnome_dialog_run_and_close to run the dialog.  Also some more
	  minor cleanup.

Mon Feb 12 20:44:49 2001  George Lebl <jirka@5z.com>

	* gen_util/help/C/printer/Makfile.am: fix typo referring to
	  mailcheck, not printer

Fri Feb 09 12:05:13 2001  George Lebl <jirka@5z.com>

	* gen_util/popcheck.c: fix pop login, and check for NULL after
	  each read_line in the imap code to deal with buggy code.

Thu Feb 08 23:44:01 2001  George Lebl <jirka@5z.com>

	* gen_util/clock.c: ability to copy out a full timestamp, plus add
	  year to date copying.

Thu Feb 08 21:04:06 2001  George Lebl <jirka@5z.com>

	* gen_util/clock.c: Fix strftime usage, be paranoid about nulling
	  things and add menuitems to copy time/date into selection

Mon Feb 05 18:56:02 2001  George Lebl <jirka@5z.com>

	* gen_util/popcheck.c: Get rid of some sprintf's and quote login info
	  for IMAP servers.

2001-01-22  jacob berkman  <jacob@ximian.com>

	* fish/*.c:
	* gen_util/*.c: manually set the wmclass for the property and
	about dialogs, since these are shlib applets and get the panel's
	window class, which sawmill likes to do funky stuff with

Thu Dec 21 17:51:37 2000  George Lebl <jirka@5z.com>

	* gen_util/clock.c:  Apply patch from Tobias Bengtsson <tobbe@tobbe.nu>
	  for adding an Internet time mode

2000-10-15 John Fleck <jfleck@inkstain.net>
	* tasklist/help/C/tasklist.sgml, tasklist-applet.sgml - update
	docs for Nautilus/1.4 compatibility (patch from Greg Leblanc)

Sat Oct 14 12:39:53 2000  George Lebl <jirka@5z.com>

	* gen_util/mail_check.c: Sanity, fix minor mem leak and some
	  cleanups, god does this code suck.

2000-10-14 Dirk-Jan C. Binnema <dirkjan@gnome.org>

        * gen_util/mail_check.c: have the mailcheck applet check the
	  mail immediately at startup time

2000-10-14 John Fleck <jfleck@inkstain.net>

	* gen_util/help/C/printer/printer-applet.sgml, printer.sgml -
	update to docs for Nautilus 1.4 compatibility (patch from Greg Leblanc)

2000-10-11 John Fleck <jfleck@inkstain.net>

	* gen_util/help/C/mailcheck/mailcheck-applet.sgml and
	mailcheck.sgml - updating docs for 1.4 compatibility (patch from
	Greg Leblanc)
	
2000-10-10 John Fleck <jfleck@inkstain.net>

	* gen_util/help/C/clock/clock-applet.sgml and clock.sgml
	updating for Nautilus help browser (patch from Greg Leblanc)

2000-09-23  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gen_util/mailcheck.c (mail_check_timeout): improve text-only mail
	notification to show unread messages with all types except local
	mailspools.
	(check_mail_file_status): compute total mail count wiht all modes
	except local mailspools.
	* gen_util/popcheck.c (imap_check): improve IMAP checking.

Sun Sep 03 06:19:27 2000  George Lebl <jirka@5z.com>

	* gen_util/clock.c, gen_util/printer.c:  Fix warnings, mark the
	  gnome_config_get argument for hourformat for translation, do
	  some sanity checking and use 12 and 24 instead of 0 and 1.

Fri Jun 09 23:22:29 2000  George Lebl <jirka@5z.com>

	* gen_util/mailcheck.c: null everything on destroy, use 0 for invalid
	  handler tags, always zero out tags right after removing the
	  timeout, remove the animation timeout on destroy which fixes all
	  those fucked up crashes on remove of mailcheck or later since it
	  can happen a couple of mintues after.  Now if only bug.gnome.org
	  worked and I could kill them all ...

2000-05-17  Jacob Berkman  <jacob@helixcode.com>

	* gen_util/mailcheck.c (create_mail_widgets): s/free/g_free/
	(applet_change_pixel_size): clean up stuff a little, and g_free
	a string
	(make_mailcheck_applet): make the "little hack" not leak memory,
	and give the code a little love, which it needed very much

2000-05-14  Karl Eichwalder  <ke@suse.de>

	* gen_util/mailcheck.soundlist (description): Add de.

2000-04-30 Dan Mueth <d-mueth@uchicago.edu>

	* gen_util/help/C/*: Fixed broken PNG images which Netscape
	can't render.  Fixed "inluding" and "Cancel" typos. Changed
	DTD to 1.1.

Sat Apr 29 19:35:19 2000  George Lebl <jirka@5z.com>

	* gen_util/mailcheck.c: fix scaling to different panel sizes.

2000-04-26  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gen_util/email-tiny.png: added a new animation for tiny
	panel (by Ian Campbell <ijc25@cam.ac.uk>).
	* gen_util/Makefile.am: install email-tiny.png

2000-04-25  Martin Baulig  <baulig@suse.de>

	* gen_util/help/de/clock.sgml: Added german translation of
	the clockapplet.

2000-04-24  Fatih Demir	<kabalak@gmx.net>
	
	* applet-dirs/Utility.directory : Fixed an error in [tr] .

2000-04-18  Eric Baudais  <baudais@okstate.edu>

	* gen_util/mailcheck.c: Fixed docs linking.

2000-04-17  Eric Baudais  <baudais@okstate.edu>

	* gen_util/clock.c: Fixed a problem with the help button.
	* gen_util/help/C/printer/*png: Fixed the pics.

2000-04-17  Karl EICHWALDER  <ke@suse.de>

	* applet-dirs/Monitors.directory (Comment): Improve.  Adjust
	[de].

2000-04-17  Eric Baudais  <baudais@okstate.edu>

	* gen_util/clock.c: Added help.
	* gen_util/mailcheck.c: Revised help.
	* gen_util/printer.c: Revised help.
	* gen_util/help/C/clock/*: Added docs.
	* gen_util/help/C/mailcheck/*: Revised docs.
	* gen_util/help/C/printer/*: Revised docs.
	* gen_util/help/C/Makefile.am: Installed help.

Sun Apr 16 04:48:30 2000  George Lebl <jirka@5z.com>

	* Makefile.am: re-added the subdirs that got deleted somehow

2000-04-15  Fatih Demir	<kabalak@gmx.net>

	* gen_util/*.desktop : Added [tr] sections ..
	
	* gen_util/mailcheck.soundlist : Added [tr] sections ..

	* applet-dirs/*.directory : Added [tr] sections ..

2000-04-12  Karl EICHWALDER  <ke@suse.de>

	* gen_util/mailcheck.soundlist (description): Add `de'.

2000-04-04  Dan Mueth <d-mueth@uchicago.edu>

	* gen_util/help/da: Fixed Makefile.am which broke "make dist"
	* fish/help/da: Fixed Makefile.am which broke "make dist"

2000-04-04  Jacob Berkman  <jacob@helixcode.com>

	* gen_util/printer.c (printer_properties): use the new help docs

	* gen_util/mailcheck.c (help_callback): use the new help docs
	(phelp_cb): ditto

	* gen_util/clock.c (make_clock_applet): reorder menu

2000-04-04  Kjartan Maraas  <kmaraas@online.no>

	* gen_util/help/no/*: Added Norwegian translation of the
	documentation.
	
2000-03-27  Kjartan Maraas  <kmaraas@online.no>

	* *.desktop: Updated Norwegian translations.
	
2000-03-26  Jacob Berkman  <jacob@helixcode.com>

	* gen_util/mailcheck.c (mailcheck_properties): hook up new help

Wed Mar 22 16:27:12 2000  George Lebl <jirka@5z.com>

	* gen_util/mailcheck.c: fix leaks and use gdk-pixbuf for all image
	  loading

	* gen_util/printer.c: completely redo the drawing and use gdk-pixbuf
	  and the rgb buffer thingie from the panel for nicer backgrounds

Mon Mar 20 17:07:19 2000  George Lebl <jirka@5z.com>

	* gen_util/{clock.c,mailcheck.c,printer.c}: don't use g_error, we're
	  now all shlib, and g_error is very bad in that case.

2000-03-15  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gen_util/mailcheck.c (check_mail_file_status): if remote server
	is to be polled and no password has been specified in properties,
	query the user for a password.
	(get_remote_password): query the user for a password.
	(get_password_callback): callback for the password dialog.
	(apply_properties_callback): set timeout spinbuttons to 1 minute and
	0 seconds if the desired timeout was 0 minutes, 0 seconds.
	* gen_util/help/C/mailcheck.sgml: small updates.

2000-03-14  Jason Leach  <leach@wam.umd.edu>

	* gen_util/printer.c (printer_about): Added About dialog, bug #7296

	* gen_util/clock.c (clock_about): Added About dialog, bug #7294

2000-02-29  Jacob Berkman  <jacob@helixcode.com>

	* gen_util/: add help docs from telsa

Sun Feb 27 20:50:30 2000  George Lebl <jirka@5z.com>

	* gen_util/mailcheck.c: do the set_events right after creating the
	  eventbox as it needs to be done before the widget is realized

2000-02-25  Jacob Berkman  <jacob@helixcode.com>

	* gen_util/clock.c (create_computer_clock_widget): use an etched
	border

2000-02-23  Peter Hawkins  <peterhawkins@ozemail.com.au>

	* gen_util/clock.c (applet_change_pixel_size): Reduced the padding on
        the frame for sizes of the panel < PIXEL_SIZE_SMALL. (it was too big 
        for a tiny panel)

2000-02-23  Jacob Berkman  <jacob@helixcode.com>

	* gen_util/mailcheck.c (make_mailcheck_applet): bind click to the
	ebox and not the applet widget

2000-02-23  Peter Hawkins  <peterhawkins@ozemail.com.au>

	* gen_util/mailcheck.c: stopped the about box from showing up
	multiple times at once.

Sat Feb 19 17:26:17 2000  George Lebl <jirka@5z.com>

	* gen_util/mailcheck.c: create an event box for the sole purpose
	  of catching events.  Catching events on the applet widget won't
	  work for shlib applets

Sun Feb 13 21:56:45 2000  George Lebl <jirka@5z.com>

	* gen_util/{gen_util.gnorba,printer.c,Makefile.am}: build the printer
	  applet as shlib again since it will now work right

Fri Feb 11 17:56:10 2000  George Lebl <jirka@5z.com>

	* gen_util/Makefile.am,gen_util.gnorba,printer.c: make the printer a
	  separate extern applet.  Due to gtkplug/socket braindamage we can't
	  do dnd on shlib applets

Mon Feb 07 16:49:45 2000  George Lebl <jirka@5z.com>

	* gen_util/clock.c: use applet_widget_queue_resize when we update so
	  that size changes get done.

Mon Feb 07 16:15:18 2000  George Lebl <jirka@5z.com>

	* gen_util/clock.c: kill the properties when the applet is destroyed

Sat Feb 05 18:13:43 2000  George Lebl <jirka@5z.com>

	* gen_util/clock.c: for small screens default to no date

Mon Jan 31 18:48:09 2000  George Lebl <jirka@5z.com>

	* gen_util/printer.c: use gnome_execute_async, somewhat follow size
	  hints, very minor cleanup and actually properly set the background

2000-01-30  Jacob Berkman  <jacob@helixcode.com>

	* gen_util/mailcheck.c (make_mailcheck_applet): default to 2 minute
	interval

Tue Jan 04 00:18:05 2000  George Lebl <jirka@5z.com>

	* gen_util/*.desktop: make the desktop correctly use the PanelApplet
	  dentry type instead of Application

Thu Dec 23 23:46:38 1999  George Lebl <jirka@5z.com>

	* gen_util/clock.c: apply patch from Robert Mibus <mibus@bigpond.com>,
	  to optionally use GMT time.

1999-12-12  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gen_util/mailcheck.c (applet_save_session): store remote username
	and password in private config file.

1999-11-28  Matthias Warkus  <mawa@iname.com>

	* applet-dirs/Amusements.directory: now uses gnome-amusements.png

Mon Oct 25 08:51:51 1999  George Lebl  <jirka@5z.com>

	* gen_util/clock.c: correctly size when size is STANDARD exactly

Sun Oct 24 17:13:30 1999  George Lebl  <jirka@5z.com>

	* gen_util/mailcheck.c,gen_util/clock.c: use the new pixel size
	  size stuff from applet-widget

1999-10-14  Matthias Warkus  <mawa@iname.com>

	* gen_util/mailcheck_applet.desktop: use gnome-mailcheck.png

1999-10-03  Matthias Warkus  <mawa@iname.com>

	* applet-dirs/Monitors.directory: now uses gnome-monitor.png

1999-09-14  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gen_util/mailcheck.c (mailcheck_properties_page): made the applet
	comply to the well-known fact that a minute has only 59 seconds.
	
1999-08-30  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gen_util/mailcheck.c: added support for maildirs. thanx for the
	patch go to Balazs Nagy <julian7@synergon.hu>. I hope it works fine
	as I have not had a chance to check it. it didn't break other mail
	checking methods, though ;)

Fri Aug 20 18:24:26 1999  George Lebl  <jirka@5z.com>

	* gen_util/printer.c: fixup the style setting, since get_rc_style can
          return NULL, we use gtk_widget_set_rc_style

1999-08-15  Matthias Warkus  <mawa@iname.com>

	* gen_util/printer.desktop: Use mc/i-printer.png as its icon.

1999-08-04  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* gen_util/printer.c (applet_set_default_back): get the GtkStyle
	from the label.  This almost certainly fixes the non-transparent
	bug in a good way. (bug #1146)
	
1999-08-03  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* applet-dirs/Multimedia.directory (Icon): use the multimedia
	icon

Tue Jul 27 04:32:48 1999  George Lebl  <jirka@5z.com>

	* gen_util/clock.c: applied patch from "Dennis M. Cranston"
	  <dcransto@slip.net> for displaying the date in an applet tooltip

1999-07-13  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* removed applets which are in gnome-applets.  These are:
	another_clock
	asclock
	batmon
	battery
	bussign
	cdplayer
	charpick
	clockmail
	cpumemusage
	diskusage
	drivemount
	esd-manager
	fifteen
	freshapp
	fvwm-pager
	gkb
	gnome-pager
	gticker
	hal
	icewm-pager
	jbc
	life
	mini-commander
	mixer
	modemlights
	multiload
	netload
	netwatch
	newslashapp (now 'slashapp' in gnome-applets)
	slashapp (now 'oldslashapp' in gnome-applets)
	webcontrol
	winlist

	The applets which remain are:

	desk guide
	fish
	gen_util
	tasklist

1999-07-10  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* Makefile.am (SUBDIRS): remove applets which are in 
	gnome-applets now.  I will cvs remove them in a day or 2

1999-07-06  Anders Carlsson  <anders.carlsson@tordata.se>

	* tasklist/*: Added tasklist applet

1999-06-28  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gen_util/mailcheck.c (check_mail_file_status): properly check for
	unread mail on remote servers. fix trouble with newmail and local
	mailspools. hopefully. things should work fine now - they do for
	me at least.
	(mail_check_timeout): use animation when unreadmail is true, one
	image when anymail is true and another one when anymail is false.
	the code from yesterday's commit broke things with remote servers.
	(struct _MailCheck): removed mailcleared.
	* main.c, popcheck.c, printer.c: removed a bunch of unused variables.

1999-06-27  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* multiload/swapload.c (make_swapload_applet): added a tooltip
	(fixes gnome bug 1436 by putting in patches from bug originator)

	* multiload/memload.c (make_memload_applet): again

	* multiload/netload.c (make_netload_applet): ditto

	* multiload/cpuload.c (make_cpuload_applet): one more time

	* gen_util/mailcheck.c: added an enum for mailbox types; fixed
	indentation; added disabling/enabling of commands
	(check_mail_file_status): moved the sound playing from here to
	where the newmail command gets exec()'d; use the new enum
	(mail_check_timeout): moved sound playing here; use the enabled
	status for the commands
	(exec_clicked_cmd): use enabled status
	(apply_properties_callback): enabled status stuff
	(mailbox_properties_page): use new enums
	(mailcheck_properties_page): use check boxes instead of labels
	for commands
	(applet_save_session): save enabling stuff
	(mailcheck_about): *cough*
	(make_mailcheck_applet): load enabling stuff
	(create_mail_widgets): really fix the don't-check-at-startup thing

	* cdplayer/cdplayer.c (main): don't do a stock_callback, just
	a normal one (fixes a crash)

	* multiload/swapload.c (make_swapload_applet): ditto

	* multiload/cpuload.c (make_cpuload_applet): same

	* multiload/memload.c (make_memload_applet): one more time

Sat Jun 26 01:20:49 1999  Tim Janik  <timj@gtk.org>

	* Makefile.am: add the desk-guide applet.

1999-06-21  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gen_util/mailcheck.c: add support for playing sounds when new
	mail arrives. based on a patch submitted by Eric M. Hopper
	<hopper@omnifarious.omnifarious.mn.org>.
	* gen_util/mailcheck.soundlist: just that. still looking for a
	better sound than phone.wav.
	* gen_util/Makefile.am: install mailcheck.soundlist.
	
Wed Jun 16 14:52:59 1999 Timur Bakeyev <mc@bat.ru>

	* gen_util/popcheck.c: Swap an order of includes, to allow some
	defenitions for sys/socket.h.

1999-06-08  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* gen_util/mailcheck.c (create_mail_widgets): don't check mail
	when applet is first created.  This is done to avoid blocking
	the panel on session login when using something like fetchmail
	to check for messages.

Sun May 30 17:21:17 1999  George Lebl  <jirka@5z.com>

	* gen_util/mailcheck.c: support full sizing of the panel

Sun May 30 15:01:02 1999  George Lebl  <jirka@5z.com>

	* life/life.c: fully support panel sizing

Sun May 30 14:32:09 1999  George Lebl  <jirka@5z.com>

	* gen_util/clock.c: make this support the SIZE_TINY panel size in
	  a way

Sun May 30 11:43:21 1999  George Lebl  <jirka@5z.com>

	* mixer/mixer.c: make this work in SIZE_TINY mode

1999-05-27  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* hal/Makefile.in: removed file

1999-05-24  Richard Hestilow <hestgray@ionet.net>
	* Added applet 'hal'

1999-05-25  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* applet-dirs/Makefile.am: add Clocks applet folder

	* applet-dirs/Clocks.directory: added file for new folder
	
	* gen_util/Makefile.am: 
	* asclock/Makefile.am: 
	* another_clock/Makefile.am: put in Clocks applet folder
	
1999-05-24  Cody Russell <bratsche@dfw.net>
	* dialer/*: Removed. Obsoleted by gnome-ppp-dialer in
	gnome-network package.

1999-05-22  George Lebl <jirka@5z.com>

	* life/life.c: fixed a leak

1999-05-22  Jacob Berkman  <jberk+@cmu.edu>

	* gen_util/mailcheck.c (mailcheck_properties): removed
	some commented out code from the last commit

1999-05-21  Jacob Berkman  <jberk+@cmu.edu>

	* gen_util/mailcheck.c: cosmetic changes to the 
	properties dialog

1999-05-19  Jacob Berkman  <jberk+@cmu.edu>

	* gen_util/clock.c: revert the sizing thing that I 
	accidentally (sorry) committed

1999-05-17  Jacob Berkman  <jberk+@cmu.edu>

	* gen_util/mailcheck.c (mailcheck_properties_page): make
	seconds minimum 0 (so people can do n minutes, 0 seconds)
	
	* gen_util/mailcheck.c (apply_properties_callback): check
	for time frequency of 0 here

1999-05-16  Jacob Berkman  <jberk+@cmu.edu>

	* gen_util/mailcheck.c (make_mailcheck_applet): save
	clicked command in session setting (fix typo/bug)

1999-05-16  Jacob Berkman  <jberk+@cmu.edu>

	* gen_util/popcheck.[ch]: C++ style comments -> C style

1999-05-16  Jacob Berkman  <jberk+@cmu.edu>
	
	* gen_util/mailcheck.c: made check mail configurable by 
	minutes, got rid of millisecond precision (come on, nobody
	really needs this)  Also, 1 C++ comment -> C stlye
	
1999-05-16  Jacob Berkman  <jberk+@cmu.edu>

	* gen_util/mailcheck.c: added ability to execute a command
	when new mail arrives

	* gen_util/mailcheck.c: made the mail spool file configurable

	* gen_util/mailcheck.c: formatting/memory leak fixes from imap/pop
	support patch

1999-05-15  Jacob Berkman  <jberk+@cmu.edu>

	* asclock/default_theme/.cvsignore: added .cvsignore

1999-05-12  Yukihiro Nakai <nacai@iname.com>

	* applets/life desktop entry [ja] update (Now complete)

Wed Apr 28 03:00:35 1999  George Lebl  <jirka@5z.com>

	* Makefile.am,multiload/*: Applied patch from esr to add the netload
	  thingie to multiload

1999-04-21  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gen_util/popcheck.c, gen_util/popcheck.h: routines to check
	for mail status on POP3 and IMAP mail servers. provided by
	Lennart Poettering <poettering@gmx.net>. also added support
	for POP3 "LAST" command.
	* gen_util/Makefile.am: added the above files to applet
	sources.
	* gen_util/mailcheck.c: added a new property page for
	mailbox configuration. added checking of POP3 and IMAP
	mailboxes.


1999-04-16  Jacob Berkman  <jberk+@cmu.edu>

        * multiload/main.c, multiload/global.h (start_gtop_cb): added 
        function to run gtop (gnome bug #1025)
        
        * multiload/*load.c (make_*load_applet): added "run gtop..." 
        menu item

1999-04-16  Matthias Warkus  <mawa@iname.com>

	* applet-dirs/*.directory: Minor fixes to German translations.

1999-04-15  Michael Zucchi  <zucchi@zzedzone.mmc.com.au>

	* another_clock/another_clock.c (cb_about): Added a missing ';'
	after the i++ in the author table lookup.

1999-04-14  Matthias Warkus  <mawa@iname.com>

	* */*_applet.desktop: Fixed and completed German translations.

Fri Apr 09 14:51:44 1999  George Lebl  <jirka@5z.com>

	* cdplayer/led.c: clear the pixmaps after creating to avoid ugly
	  garbage

Thu Apr 08 16:47:40 1999  George Lebl  <jirka@5z.com>

	* cdplayer/led.c: just a sanity fix not to draw on NULL gc's

1999-04-08  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* asclock/dialogs.c (properties_timezone_render): Create the
	temporary file with O_CREAT|O_EXCL and tell xearth to append to
	this file instead of creating it.

1999-03-29  Bj|rn Augustsson <d3august@dtek.chalmers.se>

	* asclock/dialogs.c (properties_dialog): Close the directory in
	the correct spot.  Fixes crash.

Wed Apr  7 23:03:11 1999  Jacob Berkman <jberk+@cmu.edu>

	* multiload/load-graph.c (load_graph_properties_init): 
	Set the minimum values for update time and width to
	avoid lock up/crash

Wed Apr  7 14:51:31 1999  Owen Taylor  <otaylor@redhat.com>

	* gen_util/printer.c (printer_widget): Removed
	excess trailing comma

	* mixer/[vh]slider.c: Fix some compile time warnings
	* mixer/[vh]slider.c: Set the adjustment parameter
	 initially to avoid warnings about !constructed.

Tue Apr  6 14:35:40 1999  Owen Taylor  <otaylor@redhat.com>

	* cdplayer/cdplayer.c (create_cdplayer_widget): Avoid
	 warnings by instead of calling cdpanel_update from
	 on an unrealized widget, do it in a "realize" callback.

Thu Apr 01 12:59:24 1999  George Lebl  <jirka@5z.com>

	* cdplayer/cdrom-linux.c: don't check for tray position if that
	  ioctl is not defined

Wed Mar 31 16:30:41 1999  George Lebl  <jirka@5z.com>

	* cdplayer/{cdrom-interface.h,cdrom-solaris.c,cdrom-linux.c,
	  cdplayer.c}: sort of reverted the patch for the eject/load, I left
	  the functionality in, and added new status errors for finding
	  out if the tray is open, however this seems to be broke at least
	  on my box, so the eject button only ejects, however, the play
	  button will now try to load the cd if it detects an open tray

Wed Mar 31 02:28:36 1999  George Lebl  <jirka@5z.com>

	* cdplayer/{cdrom-interface.h,cdrom-linux.c,cdrom-solaris.c,
	  cdplayer.c}: applied patch from Nick Lamb <njl98r@ecs.soton.ac.uk>
	  and slightly modified it. It allows one to close the cdrom
	  with the eject button

1999-03-26  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* battery/Makefile.am (EXTRA_DIST): Sigh, another missing file.
	Added bolt.xpm to EXTRA_DIST.

	* asclock/default_theme/Makefile.am: Added a Makefile.am here.  It
	is amazing how people do not care if their stuff builds at all.

	* asclock/themes/shaped/Makefile.am: 
	* asclock/themes/classic/Makefile.am: 
	* asclock/themes/beats/Makefile.am: 
	* asclock/themes/Stone/Makefile.am: 
	* asclock/themes/Orb/Makefile.am: 
	* asclock/themes/Newstone/Makefile.am: 
	* asclock/themes/Freeamp/Makefile.am: Put the theme data files in
	EXTRA_DIST.  WILL PEOPLE *PLEASE* SEE THAT THEIR STUFF PASSES MAKE
	DISTCHECK BEFORE COMMITTING?

1999-03-26  Nat Friedman  <nat@nat.org>

	* battery/bolt.xpm: New file.  Thanks to Will LaShell
 	<wlashell@cland.net> for this excellent drawing!

	* battery/session.c (battery_session_load): Handle full_notify_enable.
	(battery_session_save): Likewise.
	(battery_session_defaults): Likewise.

	* battery/properties.c (battery_properties_window): Added the
 	check box for full-battery-notification enabling/disabling.

	* battery/battery.c (battery_update): Display an error dialog if
 	we can't read the battery data.
	(battery_update): Notify the user if the battery has fully charged
 	and he has the full-charge-notification bit on.
	(battery_update): Draw a little lightning bolt on the battery
 	picture if the AC is plugged in.
	(battery_update): Handle miniature applets.  This will be
 	important for PDAs.
	(battery_set_mode): Handle miniature applets.
	(make_new_battery_applet): Create the percentage_small label for
 	miniature applets.
	(make_new_battery_applet): Load the pixmap of the lightning bolt.

1999-03-25  Nat Friedman  <nat@nat.org>

	* battery/properties.c (prop_apply): Set the size before allowing
 	the update function to run.

	* battery/battery.c (battery_update): Always update the graph when
 	we're called.
	(battery_update): Don't set the graph_height/graph_width greater
 	than bat->height and bat->width.
	(battery_change_mode): Fixed a subtle memory leak with
 	bat->mode_string.
	(battery_set_size): Ignore bat->setup.

	* battery/properties.c (battery_properties_window): Don't let the
 	user set the applet size to 0.
	(battery_properties_window): Fix memory leak with bat->mode_string.

1999-03-25  Nat Friedman  <nat@nat.org>

	* battery/properties.h: Added copyright statement.

	* battery/session.h: Added copyright statement.

	* battery/session.c (battery_session_defaults): Handle low-battery
 	settings and warning settings.
	(battery_session_save): Likewise.
	(battery_session_load): Likewise.
	Added copyright statement.

	* battery/properties.c (prop_apply): i18n'd the notebook tab
 	titles.  Added update interval stuff to main notebook tab.  Added
 	low-battery color options.  Added "warning" notebook tab.  Added
 	copyright statement.

	* battery/battery.h: Changed the (default) battery size to 48x48.
  	graph_timeout_id changed to update_timeout_id.  Likewise with
 	graph_timeout_interval.  Added the low-battery color fields.
  	Added low-battery warning variables.  Added copyright statement.

	* battery/battery.c: Added copyright statement.
	(battery_update): Keep track of whether or not the ac-online
 	status changes, and use this to determine when to update the
 	picture as well.
	(battery_update): Pop up a warning dialog if (a) warnings are
 	enabled (b) the battery charge has dipped below a threshold value
 	as specified by the user.
	(battery_update): Set the graph color to graph_color_low if the
 	battery charge is below a threshold value.
	(battery_update): Likewise for the readout color.  Fill the
 	battery chamber white to distinguish it from its surroundings.
	(battery_update): Left justify the percentage label.  Blank the
 	time-remaining label if it is meaningless data.
	(make_new_battery_applet): Readjusted the paddings.  Removed the
 	readout picture bevel.  Set the label font to 6x10.  Use a table
 	to store the labels.  Connect to the button click signal of the
 	whole applet.  
	(battery_setup_picture): Now generates a better-proportioned
 	picture.
	(battery_set_size): Allocate only 25% of the applet's width for
 	the readout picture.
	(battery_setup_colors): Allocate the low-battery colors.
	(battery_warn): New function to pop up the warning dialog.

1999-03-24  Nat Friedman  <nat@nat.org>

	* battery/battery.h (BATTERY_DEFAULT_HEIGHT): Changed the default
 	height to 48.

	* battery/battery.c (battery_update): Use the actual graph area's
 	height and width when drawing instead of the applet height and
 	width.

	* battery/properties.c (battery_properties_window): Make the graph
 	tick color configurable.
	(prop_apply): Update the tick color.

	* battery/battery.h: Added graph_line_color_sel to the BatteryData
 	structure.
	(BATTERY_DEFAULT_GRAPH_LINE_COLOR): New macro.

	* battery/battery.c (main): Call applet_factory_new.
	(applet_start_new_applet): Correct signature.
	(make_new_battery_applet): Return the newly created applet widget.
	(battery_update): Draw graph ticks.
	(battery_setup_colors): Allocate the graph tick color.

	* battery/properties.c (battery_properties_window): Raise the
 	properties window if the user selects 'Properties' from the
 	context menu and the window is already mapped.

1999-03-23  Nat Friedman  <nat@nat.org>

	* battery/battery.c (make_new_battery_applet): Added the About box.
	(about_cb): New function.
	(destroy_about): Likewise.

	* battery/properties.c (battery_properties_window): Set the state
 	of the graph-direction radio buttons correctly.
	(prop_apply): Don't let the update function run while the values
 	are being changed.  Update the graph data if the direction
 	changes.
	(prop_apply): Update the size after the direction is updated.

Fri Mar 19 12:48:41 1999  George Lebl  <jirka@5z.com>

	* asclock/gnome_config.c: the path passed from the panel already
	  contains the '/' so when we push it we have to use "section/key"
	  not "/section/key"

1999-03-17  Nat Friedman  <nat@nat.org>

	* battery/properties.c (battery_properties_window): Set the
 	close_hides property on the window.

	* battery/battery.c (make_new_battery_applet): Set bat->setup
 	before calling battery_set_size.  This fixes the bug Jes Sorensen
 	<Jes.Sorensen@cern.ch> reported about the applet size not being
 	set correctly when the applet first starts up.
	(battery_set_size): Don't unref the pixmaps if they're NULL.

1999-03-13  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* gen_util/mailcheck.c: Applied patch by Jacob Berkman's
	<jberkman@andrew.cmu.edu> to allow launching a mail program when
	you click on the mailcheck applet.

1999-02-27  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* battery/battery.c (make_new_battery_applet): Made the timeout
	actually be bat->graph_interval seconds.

	* battery/properties.c (prop_apply): Re-set the timeout when the
	properties are applied.

1999-02-27  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* gkb/gkb.c (apply_callback): Do not apply properties more than
	once (chech for page == -1)

Mon Feb 22 21:44:34 1999  George Lebl  <jirka@5z.com>

	* gen_util/clock.c:  add unix time option for people that want their
	  time in the way it was meant to be displayed

1999-02-22  Martin Baulig  <martin@home-of-linux.org>

	* multiload: Resize the widget after changing the size in the
	properties dialog. Add "destroy" signal handler to the load
	graph and correctly destroy it so it will no longer dump core
	when you remove on of the applets.

	* multiload: Applied the patch from Jacob Berkman that makes
	the multiload applet honor the width and height settings in
	the properties dialog on next startup.

1999-02-15  Owen Taylor  <otaylor@redhat.com>

	* webcontrol/Makefile.am (gnorba_DATA): Add the .gnorba
	to the EXTRA_DIST and add rules for installing it.

1999-02-13  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* gkb/xmodmap/.cvsignore, gkb/gkb/.cvsignore: Added these files.

1999-02-07  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* multiload/load-graph.c (load_graph_update): Now this is the
	timeout handler.
	(load_graph_draw): Do not update the graph's data, just redraw.
	(load_graph_properties_update): Redraw the load graphs, to make
	properties take effect immediately when the user hits Apply.

	* multiload/properties.c (multiload_properties_cb): Invoke the
	properties for the correct part of the applet.
	(multiload_show_properties): Show the property page corresponding
	to the type of applet the user clicked on.

1999-02-07  Tomas Ogren  <stric@ing.umu.se>

	* winlist/fvwm-winlist.c: #include <stdio.h> please...

1999-02-04  Jonathan Blandford  <jrb@redhat.com>

	* mixer/mixer.c (create_computer_mixer_widget): make the colors a
	bit less subtle.

1999-02-04  Nat Friedman  <nat@nat.org>

	* battery/read-battery.c (battery_read_charge): The Linux support
 	has been completely rewritten.  I am now caching the fd of
 	/proc/apm, and then using dup() when I need to fetch new battery
 	data to ensure that we only call open() once.  Now the battery
 	applet never touches the disk while it's running.  Nice for laptops.

	* battery/properties.c (col_value_changed_cb): New function.
	(adj_value_changed_cb): Likewise.
	(col_value_changed_cb): Likewise.  This fixes a bug as reported by
 	Roberto Zunino <zunino@cli.di.unipi.it>.  Thanks!
	(prop_apply): Call battery_update so the changes take effect
 	immediately.

	* battery/battery.h: Added force_update.

	* battery/battery.c (battery_update): Only update the pictures if
 	the battery data has changed.  Pay attention to bat->force_update.
	(battery_configure_handler): Call battery_update.
	(battery_setup_picture): More readable.
	(battery_set_size): Call battery_update.

1999-02-03  Jonathan Blandford  <jrb@redhat.com>

	* mixer/vslider.c (vslider_class_init): now we no longer draw the
	trough, and let mixer.c handle that.  VOILA! no more flashes. (:
	* mixer/hslider.c (hslider_class_init):ditto
	
1999-02-02  Jonathan Blandford  <jrb@redhat.com>

	* mixer/mixer.c (create_computer_mixer_widget): make the
	adjustments page size bigger.

1999-01-24  Anders Carlsson <anders.carlsson@tordata.se>

	* gnome-pager/gnomepager_applet.c: Fixed a bug with the task list
	  arrow and a vertical panel.

Sun Jan 24 03:39:02 1999  Timur Bakeyev <mc@bat.ru>

	* mixer/mixer.c: Add conditional #include for {linux,machine,sys}/
	soundcard.h.

1999-01-22  The Rasterman <raster@redhat.com>

	* Makefile.am: removed icewm-pager from build, removed esdmanager from
	  build as it hasnt been finished, removed fvwm pager from build as it 
	  should become gnome compiant with patches sometime...

1999-01-18  Jeff Garzik  <jgarzik@pobox.com>

	* batmon/batmon.c, battery/battery.c, fish/fish.c, gen_util/clock.c,
	  gen_util/mailcheck.c, gen_util/printer.c, gkb/gkb.c,
	  gnome-pager/gnomepager_applet.c, mini-commander/src/command_line.c,
	  mini-commander/src/message.c,
	  mini-commander/src/mini-commander_applet.c,
	  mini-commander/src/preferences.c, multiload/load-graph.c,
	  multiload/property-entries.c:
	Gtk+ s/old-name/new-name/ substitutions, from gtkcompat.h

	* gnome-pager/gnomepager_applet.c:
	64-bitness casts.  Added a FIXME for a value apparently never used.

1999-01-18  Nat Friedman  <nat@nat.org>

	* asclock/dialogs.c (properties_dialog): Fixed a typo.  Use
 	gnome_app_id for the name of the root help directory.

	* battery/properties.c (battery_properties_window): Use
 	gnome_app_id for the name of the root help directory.

	* cpuload/properties.c (properties): Likewise.

	* netload/properties.c (properties): Likewise.

	* multiload/properties.c (multiload_show_properties): Likewise.

	* gkb/gkb.c (properties_dialog): Likewise.

	* gen_util/printer.c (printer_properties): Likewise.

	* gen_util/mailcheck.c (mailcheck_properties): Likewise.

	* gen_util/clock.c (clock_properties): Likewise.

	* diskusage/properties.c (properties): Likewise.

1999-01-18  Nat Friedman  <nat@nat.org>

	* asclock/dialogs.c (properties_dialog): Connected the help button
 	of the GnomePropertyBox to gnome_help_pbox_display.

	* battery/properties.c (battery_properties_window): Likewise.

	* netload/properties.c (properties): Likewise.

	* gkb/gkb.c (properties_dialog): Likewise.

	* gen_util/printer.c (printer_properties): Likewise.

	* gen_util/mailcheck.c (mailcheck_properties): Likewise.

	* gen_util/clock.c (clock_properties): Likewise.

	* diskusage/properties.c (properties): Likewise.

	* battery/battery_applet.gnorba (description): Changed the
 	description.  Fixed a typo in the location_info.

1999-01-08  Christopher Blizzard  <blizzard@appliedtheory.com>

	* Makefile.am: the bussign is dead.  long live the bussign.

1999-01-06  Nat Friedman  <nat@nat.org>

	* Makefile.am (always_built_SUBDIRS): Removed the batmon applet
 	from the applet list.

Tue Dec 29 14:40:25 1998  Maciej Stachowiak  <mstachow@mit.edu>

	* Makefile.am: Build fvwm-pager applet unconditionally.

1998-12-28  Martin Baulig  <martin@home-of-linux.org>

	The "MultiLoad Applet Revolution".

	All three multiload applets (cpuload, memload, swapload) now use
	the same load graph object and the same properties code.

	This will make it much easier to add a new applet here.
	
	* multiload/cpuload.h: Removed.
	* multiload/memload.h: Removed.
	* multiload/swapload.h: Removed.
	* multiload/properties-cpu.[ch]: Removed.
	* multiload/properties-mem.[ch]: Removed.
	* multiload/properties-swap.[ch]: Removed.

	* multiload/global.h: New file.

	* multiload/property-entries.[ch]: New files. This code will be
 	moved into libgnomeui after GNOME 1.0 is released.

	* multiload/load-graph.[ch]: New files. Contains some kind of
	load graph widget/object that is used in all multiload applets.

	* multiload/properties.[ch]: New files. Contains general properties
	stuff that is used in all multiload applets.

	* multiload/cpuload.c: Use the new load graph.
	* multiload/memload.c: Likewise.
	* multiload/swapload.c: Likewise.

1998-12-18  Martin Baulig  <martin@home-of-linux.org>

	* cpumemusage/procbar.[ch]: Removed.
	* cpumemusage/cpumemusage.c: Use the GnomeProcBar from libgnomeui.

Thu Dec 31 18:18:05 1998  George Lebl  <jirka@5z.com>

	* slashapp/slashapp.c,gticker/gticker.c: remove unneeded glist

Tue Dec 29 14:40:25 1998  Maciej Stachowiak  <mstachow@mit.edu>

	* Makefile.am: Build fvwm-pager applet unconditionally.

1998-12-28  Martin Baulig  <martin@home-of-linux.org>

	The "MultiLoad Applet Revolution".

	All three multiload applets (cpuload, memload, swapload) now use
	the same load graph object and the same properties code.

	This will make it much easier to add a new applet here.
	
	* multiload/cpuload.h: Removed.
	* multiload/memload.h: Removed.
	* multiload/swapload.h: Removed.
	* multiload/properties-cpu.[ch]: Removed.
	* multiload/properties-mem.[ch]: Removed.
	* multiload/properties-swap.[ch]: Removed.

	* multiload/global.h: New file.

	* multiload/property-entries.[ch]: New files. This code will be
 	moved into libgnomeui after GNOME 1.0 is released.

	* multiload/load-graph.[ch]: New files. Contains some kind of
	load graph widget/object that is used in all multiload applets.

	* multiload/properties.[ch]: New files. Contains general properties
	stuff that is used in all multiload applets.

	* multiload/cpuload.c: Use the new load graph.
	* multiload/memload.c: Likewise.
	* multiload/swapload.c: Likewise.

1998-12-28  Martin Baulig  <martin@home-of-linux.org>

	* cpuload: Removed this applet. It has been replaced with the
	multiload applet.

1998-12-26  Martin Baulig  <martin@home-of-linux.org>

	* asclock/timezone.c: If /etc/localtime exists, read default
	timezone from it and select it in the clist.

	* asclock/dialogs.c: Removed useless 'General' properties tab.
	* asclock/main.c: Use stock callbacks.

1998-12-25  Jeff Garzik  <jgarzik@pobox.com>

	* asclock/asclock.c, asclock/dialogs.c, fvwm-pager/Module.c,
	  fvwm-pager/fvwm-pager.c, fvwm-pager/properties.c,
	  gticker/gticker.c, icewm-pager/wmpager_applet.c, jbc/jbc.c,
	  mini-commander/preferences.c, modemlights/modemlights.c:
	Warnings fixes.
	s/sprintf/g_snprintf/

1998-12-24  Jeff Garzik  <jgarzik@pobox.com>

	* batmon/batmon.c:
	Changed one strcpy to strncpy

	* clockmail/clockmail.c, cpuload/properties.c, batmon/batmon.c,
	  diskusage/diskusage.c, diskusage/properties.c,
	  drivemount/drivemount.c, fifteen/fifteen.c:
	s/sprintf/g_snprintf/

	* cpuload/properties.[c], diskusage/properties.[ch]:
	Made load/save routines 'path' arg const-correct.

	* cpuload/properties.c, diskusage/properties.c:
	Corrected color str size bug.

1998-12-18  Mark Galassi  <rosalia@cygnus.com>

	* netload/properties.c (apply_cb): incorporated Daniel Burrows'
	patch to fix a properties bug: the memcopy() was not enough to
	copy the structure, since the structure had a gchar * member.
	This patch adds a strdup() to copy the text field.

1998-12-18  Martin Baulig  <martin@home-of-linux.org>

	* cpumemusage/procbar.[ch]: Removed.
	* cpumemusage/cpumemusage.c: Use the GnomeProcBar from libgnomeui.

1998-12-15  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* multiload/Makefile.am (EXTRA_DIST): Added multiload_applet.gnorba.

	* Makefile.am: Added the stupid bussign applet to SUBDIRS.
	(DIST_SUBDIRS): Put all the directories in DIST_SUBDIRS, like Tom
	said.

1998-12-15  Yukihiro Nakai<Nakai@abricot.co.jp>

	* Added the Japanese [ja] translation entries with
	our special tool.

1998-12-14  Matt Wilson  <msw@redhat.com>

	* multiload/properties-mem.c: No C++ comments!

1998-12-14  Christopher Blizzard  <blizzard@appliedtheory.com>

	* Makefile.am: Disable the bussign.  Doesn't work.  Shouldn't
 	really be part of 1.0.

1998-12-13  Martin Baulig  <martin@home-of-linux.org>

	Following a suggestion from Richard Hult it is confusing users
	to have to cpuload monitors that look exactly the same and to
	have an extra level of menus for the multiload applet.
 	
	So replaced the cpuload applet with the multiload which is no
	longer hidden in a submenu.

	* multiload/Multiload.directory: Removed.
	* multiload/Makefile.am: Don't use an extra level of menus for
	the multiload applet, put all .desktop files to the other monitor
	applets.

	* cpuload: This has been replaced with the multiload applet.

1998-12-13  Martin Baulig  <martin@home-of-linux.org>

	* netload.c: Always use LibGTop to get the data.

Mon Dec 07 02:17:08 1998  George Lebl  <jirka@5z.com>

	* */*.c: fixed up includes, removed applet-lib.h and added
	  applet-widget.h where missing

Mon Dec 07 01:05:22 1998  George Lebl  <jirka@5z.com>

	* cdplayer/cdplayer.c: use abort_load applet widget call instead
	  of a call which was directly into the applet-lib (which doesn't
	  exist any more)

Thu Dec 03 02:42:00 1998  George Lebl  <jirka@5z.com>

	* */*.c: replaced applet_widget_new_with_param, and changed all
	  multiapplets to follow the current panel stuff

Tue Dec  1 10:05:50 MET 1998 Sven Neumann <svenqgimp.org>

	* gen_util/clock.c: added a configuration option that
	allows to hide the date.

Sun Nov 29 18:20:54 EST 1998 Gregory McLean <gregm@comstar.net>

	* gticker: applet api changes.

Sun Nov 29 17:15:17 EST 1998 Gregory McLean <gregm@comstar.net>

	* slashapp: applet api changes.
	Lord only knows if it will work, but they compile now.

1998-11-28  Mark Galassi  <rosalia@cygnus.com>

	* netload: replaced gnome_color_selector() with
	gnome_color_picker().  Worked on making the properties and the
	level bars in the graph work.  Also removed some compiler
	warnings.

	* netload/properties.c (create_general_frame): the properties
	dialog is now set up with gnome_color_picker_new() instead of the
	old gnome_color_selector_new() stuff.

	* netload/properties.c, netload/netload.c: removed the rescaling
	of the line_spacing by 1024.

	* netload/properties.c (load_properties): changed some default
	values: gcolor and bcolor are now such that you can see the bars
	on the graph.  line_spacing never used to give any line spacing on
	dialup connections, so I rescaled the whole thing and set the
	default to be 2, which works well for a modem line.
	(gcolor_changed_cb, bcolor_changed_cb): replaced the previous
	color_changed-cb() function with these two, one per color.  The
	previous one did not work and had a memory leak; this approach
	seems to work and is like the one in the multiload applet.

1998-11-22  Martin Baulig  <martin@home-of-linux.org>

	* netload: This applet now requires LibGTop >= 0.26.5.
	If you have an older version of LibGTop, the original code
 	will be used but only until the next release of LibGTop.

1998-11-23  Christopher Blizzard  <blizzard@appliedtheory.com>

	* asclock/dialogs.c (properties_dialog): Comment out
 	gtk_clist_set_policy().  This should compile now.
	
1998-11-21  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* cpuload/cpuload.c (main): Nice the process.  Also, fixed
	compiler warnings.

	* cpumemusage/cpumemusage.c (update_mem_values): New function to
	update the memory/swap values.
	(cpumemusage_widget): Now the memory/swap values are updated at a
	different rate than the CPU one.  Walking the kernel page table to
	gather memory information is expensive, so we only do it once a
	second instead of every 200 milliseconds.
	(main): Nice the process.

	* cpumemusage/procbar.c (procbar_configure): Now the GC is created
	here, instead of in procbar_set_values(), to save a bit of time.

	* cpumemusage/procbar.h (ProcBar): Added a gc field.

1998-11-14  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* multiload/properties-*.c, drivemount/properties.c,
	netload/properties.c, diskusage/properties.c,
	clockmail/properties.c, modemlights/properties.c:
	connected "changed" signal of spin buttons to code
	that enables property box apply and ok buttons.
	patches provided by Richard Hult.

1998-11-12  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gen_util/mailcheck.c (mailcheck_properties_page): connected "changed"
	signal of mc->spin spinbutton to property_box_changed.

Wed Nov 11 17:56:25 EST 1998 Gregory McLean <gregm@comstar.net>
	
	* cpuload/properties.c : Migrated to GnomeColorPicker vs 	
	 GnomeColorSelector to clear up warnings. Also fixed a mem leak :)

Wed Nov 11 17:36:25 EST 1998 Gregory McLean <gregm@comstar.net>

	* multiload/properties-*.c : Migrated to GnomeColorPicker as I got
	tired of the warnings spewing out.

1998-11-11  Christopher Blizzard  <blizzard@appliedtheory.com>

	* Makefile.am: Only build slashapp if libghttp is installed.

Sun Oct 18 19:12:24 1998  Owen Taylor  <otaylor@gtk.org>

	* gen_util/printer.c: Use the new DND api.

Fri Oct 09 02:42:07 1998  George Lebl  <jirka@5z.com>

	* battery/session.[ch]: session save MUST return FALSE, otherwise
	  applet is NOT restarted next time (using FALSE is to make it
	  "ideologically compatible" with gtk) ... the function can't be
	  void, since garbage is likely not gonna be 0

1998-10-08  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gen_util/mailcheck.c: enable user to configure the mail checking
	interval and an optional command to system() before checking for
	mail.
	
1998-09-30  Havoc Pennington  <hp@pobox.com>

	* diskusage/properties.c: color set callbacks use guint8 instead
	of int. (I think there's another problem, that they use _get_i8
	instead of having proper callback args, but I didn't cause that
	one so I'll let someone else fix it. ;-)

1998-09-23  Michael Lausch  <mla@gams.at>

	* Makefile.am (fvwm_pager): Added conditional for fvwm-pager
	applet.

	* Added fvwm-pager appler directory. See fvwm-pager/README how to
	use this applet.

Sun Sep 21 10:10:29 1998  George Lebl  <jirka@5z.com>

        * webcontrol/webcontrol.c: add entry after applet_widget_add
          to allow pasting

Sun Sep 20 10:28:29 1998  John Ellis  <johne@bellatlantic.net>

	* mixer/mixer.c: Added option to run gmix from right click menu.

1998-09-11  Alexandre Muniz <munizao@cyberhighway.net>
	
	* charpick: Added Character Picker applet 
	* Makefile.am (always_built_SUBDIRS): Added charpick subdir.
	
1998-09-06  Raja R Harinath  <harinath@cs.umn.edu>

	* asclock/Makefile.am: Remove CXXLINK hack.
	* batmon/Makefile.am: Likewise.
	* battery/Makefile.am: Likewise.
	* cdplayer/Makefile.am: Likewise.
	* cpuload/Makefile.am: Likewise.
	* cpumemusage/Makefile.am: Likewise.
	* diskusage/Makefile.am: Likewise.
	* drivemount/Makefile.am: Likewise.
	* gen_util/Makefile.am: Likewise.
	* mixer/Makefile.am: Likewise.
	* multiload/Makefile.am: Likewise.
	* netload/Makefile.am: Likewise.
	* webcontrol/Makefile.am: Likewise.
	* winlist/Makefile.am: Likewise.

1998-08-27  Christopher Blizzard  <blizzard@appliedtheory.com>

	* Makefile.am (SUBDIRS): Add conditional bussign build if you have
 	libghttp installed.

1998-08-26  Havoc Pennington  <hp@pobox.com>

	* multiload/Makefile.am: Add ../../panel to the include path,
	link to the applet lib in ../../panel. This makes it consistent
	with the other applets (and makes gnome-core compile)

Sun Aug 23 23:24:30 1998  George Lebl  <jirka@5z.com>

	* fish/fish.c,fish/fish?.xpm,fish/fishanim.png,fish/Makefile.am:
	  added "themability", so that you can load up a different
	  animation file and change the speed in the config dialog

1998-08-23  Martin Baulig  <martin@home-of-linux.org>

	* cpuload: This applet now requires libgtop.
	* cpumemusage: Likewise.

	* diskusage/fsusage.[ch]: Removed.
	* diskusage/mountlist.[ch]: Removed.
	* diskusage/diskusage.c: We now use libgtop to get the fsusage
	and mountlist stuff.

	* multiload: New directory. Contains MultiLoad Applet from
	`libgtop-apps/applet/multiload'.

1998-08-21  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* gkb/gkb_applet.desktop: Added Portuguese translation.

Thu Aug 20 14:36:46 1998  George Lebl  <jirka@5z.com>

	* fish/fish.c: fixed the flickering by using drawing area
	  instead of gtkpixmap which was a cheapass solution anyway

1998-08-19  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (SUBDIRS): Add `winlist' to the set of distributed
	subdirs. 

Wed Aug 12 21:08:46 1998  George Lebl  <jirka@5z.com>

	* cpuload/cpuload.c: fixed a memory leak

Wed Aug 12 21:04:42 1998  George Lebl  <jirka@5z.com>

	* cpumemusage/procbar.c: check for cases of allocation being
	  0x0, and don't draw in those cases

Tue Aug 11 11:30:04 1998  Owen Taylor  <otaylor@redhat.com>

	* cpumemusage/proc.c (proc_read_mem): Account for
	  buffers when computing totals.

	* cpumemusage/procbar.c: Make bars switch orientation with panel.
	
1998-08-02  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (cdplayer,mixer,modemlights): New variables.
	(SUBDIRS): Use them, instead of @PROGRAMS_PANEL_*@.

1998-08-03  Martin Baulig  <martin@home-of-linux.org>

	* netload/properties.c, linux-proc.[ch]: Increased maximal device
	name length from 4 to 5 to make `ippp0' work.

1998-08-02  Martin Baulig  <martin@home-of-linux.org>

	* diskusage/diskusage.c, properties.[ch]: Session-saving
	information about selected filesystem.

Wed Jul 29 19:49:11 1998  John Ellis  <johne@bellatlantic.net>

	* drivemount/drivemount.c (about_cb): fixed a compile warning.
	(create_drive_widget): use gnome_is_program_in_path() instead of a
	system() call to check for the eject program. Properties is now above
	About in the menu.
	* drivemount/properties.c (property_apply_cb): added
	applet_widget_sync_config() as George suggested.
	* drivemount/drivemount.[ch], properties.c: Upped version to 0.1.1
	* drivemount/AUTHORS: new file.

	* clockmail/clockmail.c (about_cb): fixed a compile warning.
	* clockmail/properties.c (property_apply_cb): added
	applet_widget_sync_config() as George suggested.
	* clockmail/clockmail.[ch], properties.c: Upped version to 0.1.4

	* modemlights/modemlights.c  (about_cb): fixed a compile warning.
	(main):  Properties is now above About in the menu.
	* modemlights/properties.c (property_apply_cb): added
	applet_widget_sync_config() as George suggested
	* modemlights/modemlights.[ch], properties.c: Upped version to 0.3.1
	* modemlights/AUTHORS: new file.

Thu Jul 23 00:38:02 1998  George Lebl  <jirka@5z.com>

	* battery/properties.c: added applet_widget_sync_config
	  to the end of the properties apply callback ....
	  I'm too lazy to go through all of the applets though
	  so this is the only one that has this, it's not neccessary,
	  but it would be nice

1998-07-23  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* netload/Makefile.in: Remove generated file.

1998-07-19  Raja R Harinath  <harinath@cs.umn.edu>

	* */Makefile.am (*_LDADD): Change MICO_LIBS to ORB_LIBS.

1998-07-15  Raja R Harinath  <harinath@cs.umn.edu>

	* battery/read-battery.c (battery_read_charge): Provide fallback
	values for non linux/FreeBSD m/cs.

Mon Jul 13 02:37:01 1998  George Lebl  <jirka@5z.com>

	* battery/session.c: one needs to add section/key to the
	  privcfgpath, not just key ... so I updated it

1998-07-08  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* Makefile.am (always_built_SUBDIRS): Added fifteen subdir.

Tue Jul  7 00:17:19 1998  Tom Tromey  <tromey@cygnus.com>

	* winlist/testwinlist.c: Include <stdlib.h>, not <malloc.h>.

1998-07-06  Martin Baulig  <martin@home-of-linux.org>

	* diskusage/diskusage_read.c: Fixed memory leak.

1998-07-04  Carsten Schaar  <nhadcasc@fs-maphy.uni-hannover.de>

	* webcontrol/webcontrol.c (main): 
	* netload/netload.c (main): 
	* icewm-pager/wmpager_applet.c (main): 
	* drivemount/drivemount.c (create_drive_widget):
	* diskusage/diskusage.c (main):
	* cpuload/cpuload.c (main): Now uses stock menu icons.

Fri Jul 03 14:01:21 1998  George Lebl  <jirka@5z.com>

	* */*.c: ported to the new save_session signal and using
	  privcfgpath instead of cfgpath

1998-07-01  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* */*.desktop: Added Portuguese translations.

	* applet-dirs/*.directory: Added Portuguese translations.

Wed Jun 24 11:04:28 EDT 1998 Gregory McLean <gregm@comstar.net>

	* gen_util/tux-anim.xpm : Added another email animation this one
	  is that animation that is on Larry's page of tux doing a back flip
	  I liked it so added it :)

	* mixer/ Applied patch from Matthew Wilkins to the mixer app
	here's what it does:
	-changes the 'mute' label to a pixmap
	-makes the applet turn sideways when the panel is vertical
	-colour-fading background for the slider a la WinAmp volume control
	-gets out of mute mode when an external program turns up the volume
	-moves the mute button underneath the slider.
	-the slider widget becomes the vslider and hslider widgets.

Wed Jun 10 11:41:11 1998  Owen Taylor  <otaylor@gtk.org>

	* */Makefile.am: Use MICO_LIBS variable from 
	  toplevel configure.in. 
	
Sun Jun 07 22:56:44 1998  George Lebl  <jirka@5z.com>

	* gen_util/*.c: made menu items use stock icons

	* modemlights/modemlights.c: use the tooltips function from
	  applet widget. This makes the applet listen to the 
	  tooltips enable and disable events

Sun Jun 07 00:22:52 1998  George Lebl  <jirka@5z.com>

	* gen_util/printer.c: implemented background switching and
	  added an event box behind the label to make it readable on
	  all backgrounds

1998-06-04  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* applet-dirs/Makefile.am: Fix Monitor -> Monitors typo.

1998-06-01  Mark Galassi  <rosalia@cygnus.com>

	* modemlights/properties.c (property_load): introduced a
	"confirmation" property to be saved and loaded.  It doesn't save
	yet :-)
	(confirm_checkbox_cb):
	(property_show): added a confirmation checkbox to the properties
	dialog.

	* modemlights/modemlights.c (dial_cb): introduced the
	ask_for_confirmation configuration variable.  Now we only enter
	the yes/no dialog if that variable is true; otherwise we just fire
	off the connect (or disconnect) script.

Fri May 29 19:42:23 PDT 1998  Garrett Smith  <gsmith@serv.net>

        * webcontrol/webcontrol.c: added more configurability.

1998-05-30  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (SUBDIRS): Split into ...
	(always_built_SUBDIRS): ... this, and ...
	(sometimes_built_SUBDIRS): ... list all `autoconf'ed dirs here.
	(DIST_SUBDIRS): List all subdirs.

	* batmon/Makefile.am: Cleaned up Automake hack not to generate
	those pesky `dummy.cc' files.
	* cdplayer/Makefile.am: Likewise.
	* cpuload/Makefile.am: Likewise.
	* cpumemusage/Makefile.am: Likewise.
	* diskusage/Makefile.am: Likewise.
	* drivemount/Makefile.am: Likewise.
	* gen_util/Makefile.am: Likewise.
	* icewm-pager/Makefile.am: Likewise.
	* mixer/Makefile.am: Likewise.
	* modemlights/Makefile.am: Likewise.
	* netload/Makefile.am: Likewise.
	* netwatch/Makefile.am: Likewise.
	* webcontrol/Makefile.am: Likewise.
	* winlist/Makefile.am: Likewise.
	
Fri May 29 19:42:23 PDT 1998  Garrett Smith  <gsmith@serv.net>

	Imported webcontrol applet.
	* Makefile.am (SUBDIRS): Add `webcontrol'.

1998-05-28  Carsten Schaar  <nhadcasc@fs-maphy.uni-hannover.de>

	* gen_util/printer.c (make_printer_applet):  Changed
 	"properties" to "properties...".

	* gen_util/mailcheck.c (make_mailcheck_applet): Likewise
	
	* gen_util/clock.c (clock_properties): i18n stuff for '12/24
 	hour'-dialog.

1998-05-27  Seth Alves  <alves@twitch.cp.domain.net>

	* clockmail/clockmail.h: include <sys/types.h>

1998-05-26  John Ellis  <johne@bellatlantic.net>

	* Makefile.am (SUBDIRS): changed modemlights to
	@PROGRAMS_PANEL_MODEMLIGHTS@.

Sun May 24 18:21:41 1998  George Lebl  <jirka@5z.com>

	* gen_util/{clock.c,printer.c}: set titles of property
	  dialogs

	* gen_util/mailcheck.c: use property_box for the properties

Sun May 24 14:45:15 1998  George Lebl  <jirka@5z.com>

	* gen_util/clock.c: fixed up the property box stuff, and got
	  rid of that annoying gnu style indentation

Sun May 24 01:13:56 1998  George Lebl  <jirka@5z.com>

	* gen_util/mailcheck.c: load the email.xpm by default

Sat May 23 16:32:16 1998  George Lebl  <jirka@5z.com>

	* Makefile.am add gen_util, and remove clock printer and
	  mailcheck applets, they are all now handeled by gen_util

1998-05-23  Carsten Schaar  <nhadcasc@fs-maphy.uni-hannover.de>

	* netload/properties.c: Added i18n of some strings.

	* netload/netload.c (main): Added initialization of the i18n
 	stuff.
 	Added i18n of some strings.

	* cpuload/properties.c: Added i18n of some strings.

	* cpuload/cpuload.c (main): Added initialization of the i18n
 	stuff.
	Added i18n of some strings.

1998-05-22  Martin Baulig  <baulig@merkur.uni-trier.de>

	* diskusage/Makefile.am (diskusage_applet_SOURCES): added
	mountlist.c, mountlist.h, fsusage.c and fsusage.h

	* diskusage/diskusage_read.c: using read_filesystem_list and
	get_fs_usage defined in mountlist.c and fsusage.c instead of
	reading output of df.

	* diskusage/mountlist.c: using g_malloc, g_realloc and g_strdup.

	* Makefile.am (SUBDIRS): Add diskusage.

1998-05-22  Carsten Schaar  <nhadcasc@fs-maphy.uni-hannover.de>

	* clock/clock.c (main): Added initialization of i18n stuff.
	(computer_clock_update_func): Changed to time to string
 	convertion.  This enables non american users to use there native
 	display of time and date.
	Included 'config.h'

Fri May 22 10:12:57 1998  Martin Baulig  <martin@home-of-linux.org>

	* diskusage/{fsusage.c,mountlist.c}: imported from GNU fileutils 3.16

	* diskusage/*: imported diskusage applet from Bruno Widmann;

Fri May 22 02:03:36 1998  George Lebl  <jirka@5z.com>

	* netload/properties.c: fixed up properties, the current
	  ones wouldn't work, if you are storing from cfg path,
	  you can only use a key in the path. if you need to store
	  global information use globcfgpath and then use section/key

Fri May 22 00:48:16 1998  George Lebl  <jirka@5z.com>

	* */*.c: changed to compile and work with the new
	  applet-widget stuff, and cleaned up a bunch of stuff
	  to avoid a few warnings here and there .. etc ... etc ...

Thu May 21 03:45:42 1998  George Lebl  <jirka@5z.com>

	* clock/clock.c: clock is now a multi applet, meaning if it's
	  already started, adding a clock won't run anotehr process,
	  but just contact the running clock for a new copy

Sun May 17 12:44:46 1998  Havoc Pennington  <hp@pobox.com>

	* Imported modemlights applet, and added it to the Makefile.am

Sat May 16 00:59:12 1998  George Lebl  <jirka@5z.com>

	* clock/clock.c: made clock not use global variables
	  in preparation for it becoming the multiple applet
	  support scape goat

1998-05-13  Christopher Blizzard  <blizzard@appliedtheory.com>

	* Makefile.am (SUBDIRS): Add the bussign to the list of applets to
 	build.

Thu May 07 18:57:42 1998  George Lebl  <jirka@5z.com>

	* fish/*: added teh fish applet

	* applet-dirs/{Makefile.am,Amusements.directory}: added
	  amusements directory

1998-05-05  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* printer/printer.c (close_properties): Ok, dropped all of the
	nonsense code from last night and put a nice Gnome Property Box to
	configure the printer. 

Tue May 05 00:24:51 1998  George Lebl  <jirka@5z.com>

	* cpuload/{cpuload.c,properties.c}: several fixes to
	  config handeling, now saves config in the right
	  place so SM and multiple cpuload applets work ok

Mon May 04 03:34:05 1998  George Lebl  <jirka@5z.com>

	* mailcheck/mailcheck.c: updated the signal

Sun May 03 23:05:11 1998  George Lebl  <jirka@5z.com>

	* mailcheck/maicheck.c,cpuload/cpuload.c,cpuload/properties.[ch]:
	  updated for the new callback function (minor change)

Sun May 03 16:57:10 1998  George Lebl  <jirka@5z.com>

	* */*.c: ported all appelts to applet-widget (even
	  those that don't get built by default)

	* mailcheck/mailcheck.c: fix init

Sat May 02 12:49:06 1998  George Lebl  <jirka@5z.com>

	* */*.c: removed includes of panel.h and mico-parse.h,
	  panel.h is not needed any more

1998-04-30  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* mailcheck/mailcheck.c (mailcheck_get_animation_menu): Select the
	animation that is actually being used. 
	(mailcheck_get_animation_menu): Recognize more formats than just
	xpm. 

Mon Apr 27 20:42:24 EDT 1998 Gregory McLean <gregm@comstar.net>

	* netwatch/netwatch.c : more tinkering, no it don't work yet but
	  I'm just tinkering to see if I can get something to work :)

Fri Apr 24 01:17:16 1998  George Lebl  <jirka@5z.com>

	* **/Makefile.am: added -lcrypt

1998-04-24  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* mailcheck/mailcheck.c (create_mail_widgets): Added refs
	(load_new_pixmap_callback): Call mail check timeout.

Thu Apr 23 02:24:16 1998  George Lebl  <jirka@5z.com>

	* cdplayer/cdplayer.c: using SHADOW_IN instead of ETCHED_IN
	  since it looks nicer

1998-04-22  Radek Doulik  <rodo@msdec.ms.mff.cuni.cz>

	* cpumemusage: quick hack to have procbars from gtop
	available on panel

Wed Apr 22 01:20:57 1998  George Lebl  <jirka@5z.com>

	* cpuload/cpuload.c: catch "destroy" event on plug
	  and do gtk_exit, to avoid segfaulting

Tue Apr 21 18:55:53 EDT 1998 Gregory McLean <gregm@comstar.net>

	* cpuload/.cvsignore: added this file to keep cvs happy :)

Tue Apr 21 18:55:53 EDT 1998 Gregory McLean <gregm@comstar.net>

	* netwatch/*: Some feeble attempts to get this to build.
	  it still don't build but its a bit closer..

Thu Apr 16 22:00:19 1998  George Lebl  <jirka@5z.com>

	* */*.c: updated applets to return TRUE on save_session

Thu Apr 16 20:59:35 1998  George Lebl  <jirka@5z.com>

	* clock/clock.c: small cleanups, now becomes slimmer
	  when the orientation changes, different frame style

Thu Apr 16 19:44:40 1998  George Lebl  <jirka@5z.com>

	* cdplayer/cdplayer.c: recover gracefully from errors
	  when creating widget, if you can't open the cdrom
	  don't give up, but try again when something is about
	  to happen. this pervents it from dieing when there was
	  no disc sometimes.

Wed Apr 15 20:13:24 1998  George Lebl  <jirka@5z.com>

	* batmon/batmon.c,cdplayer/cdplayer.c,clock/clock.c,
	  mailcheck/mailcheck.c,winlist/winlist.c: removed
	  shutdown corba call and added handler for destroy
	  signal on the plug

Sun Apr 12 21:25:06 1998  George Lebl  <jirka@5z.com>

	* cdplayer/cdplayer.c: fixed the display

1998-04-04  Raja R Harinath  <harinath@cs.umn.edu>

	* batmon/Makefile.am (batmon_applet_LINK): Use this to specify a
	C++ link rather than including `-lstdc++' in LDADD.
	(dummy.cc): Trick automake into defining CXXLINK.

	* cdplayer/Makefile.am (cdplayer_applet_LINK,dummy.cc): Likewise.
	* clock/Makefile.am (clock_applet_LINK,dummy.cc): Likewise.
	* mailcheck/Makefile.am (mailcheck_applet_LINK,dummy.cc): Likewise.
	
Sat Mar 28 15:25:28 1998  George Lebl  <jirka@5z.com>

	* **/*.c: updated to use gtk_full_path instead of
	  get_which_output

Sat Mar 21 00:57:08 1998  George Lebl  <jirka@5z.com>

	* batmon/batmon.c: now compiles

	* batmon/batmon_applet.desktop: now installed

	* mailcheck/mailcheck_applet.desktop: now correctly says
	  Mailcheck not Clock

Sat Mar 21 00:39:53 1998  George Lebl  <jirka@5z.com>

	* cdplayer/cdplayer.c: loads but looks bad

	* batmon/batmon.c: ported to corba but haven't tested

Fri Mar 20 00:36:12 1998  George Lebl  <jirka@5z.com>

	* mailcheck/mailcheck.c: few fixes now actually saves
	  pixmap name, but doesn't swap pixmaps properly

Fri Mar 20 00:08:43 1998  George Lebl  <jirka@5z.com>

	* cdplayer/*: ported to corba, indented to kernel
	  conding style to be compatible with rest of gnome

	* mailcheck/*: ported to corba

